import { Emitter } from 'mitt';
type Events = {
    notify: string;
    "close-editor-expand": string;
};
export declare const eventBus: {
    on<K extends keyof Events>(type: K, handler: (event: Events[K]) => void): void;
    off<K extends keyof Events>(type: K, handler: (event: Events[K]) => void): void;
    emit<K extends keyof Events>(type: K, event: Events[K]): void;
    clear(): void;
    raw: Emitter<Events>;
};
export default eventBus;
